package com.cm.common.pojo.vos.bigdatatemplatearea;

import com.cm.common.annotation.CheckEmptyAnnotation;
import com.cm.common.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: BigdataTemplateAreaVO
 * @Description: 大数据展示模板的区域设置
 * @Author: WenG
 * @Date: 2020-10-20 15:08
 * @Version: 1.0
 **/
@ApiModel
public class BigdataTemplateAreaPiointVO {

    @ApiModelProperty(name = "bigdataTemplateId", value = "所属模板")
    private String  bigdataTemplateId;
    @ApiModelProperty(name = "templateAreaLeft", value = "距左部像素px")
    private Double templateAreaLeft;
    @ApiModelProperty(name = "templateAreaTop", value = "距顶部像素px")
    private Double templateAreaTop;
    @ApiModelProperty(name = "templateAreaDown", value = "距底部像素px")
    private Double templateAreaDown;
    @ApiModelProperty(name = "templateAreaRight", value = "距右部像素px")
    private Double templateAreaRight;
    @ApiModelProperty(name = "templateAreaHeight", value = "高度")
    private Double templateAreaHeight;
    @ApiModelProperty(name = "templateAreaWidth", value = "宽度")
    private Double templateAreaWidth;

    public String getBigdataTemplateId() {
        return bigdataTemplateId == null ? "" : bigdataTemplateId;
    }

    public void setBigdataTemplateId(String bigdataTemplateId) {
        this.bigdataTemplateId = bigdataTemplateId;
    }

    public Double getTemplateAreaLeft() {
        return templateAreaLeft;
    }

    public void setTemplateAreaLeft(Double templateAreaLeft) {
        this.templateAreaLeft = templateAreaLeft;
    }

    public Double getTemplateAreaTop() {
        return templateAreaTop;
    }

    public void setTemplateAreaTop(Double templateAreaTop) {
        this.templateAreaTop = templateAreaTop;
    }

    public Double getTemplateAreaDown() {
        return templateAreaDown;
    }

    public void setTemplateAreaDown(Double templateAreaDown) {
        this.templateAreaDown = templateAreaDown;
    }

    public Double getTemplateAreaRight() {
        return templateAreaRight;
    }

    public void setTemplateAreaRight(Double templateAreaRight) {
        this.templateAreaRight = templateAreaRight;
    }

    public Double getTemplateAreaHeight() {
        return templateAreaHeight;
    }

    public void setTemplateAreaHeight(Double templateAreaHeight) {
        this.templateAreaHeight = templateAreaHeight;
    }

    public Double getTemplateAreaWidth() {
        return templateAreaWidth;
    }

    public void setTemplateAreaWidth(Double templateAreaWidth) {
        this.templateAreaWidth = templateAreaWidth;
    }
}
